﻿@model ContosoUniversity.DTO.NhatKyVanHanhVaSuaChua

@*@{
        ViewBag.Title = "NhatKyVanHanhVaSuaChua";
        Layout = "~/Views/Shared/_Layout.cshtml";
    }*@
<style>

    ul, #myUL-addSuCo {
        list-style-type: none;
    }

    #myUL-addSuCo {
        margin: 0;
        padding: 0;
    }

    .create-suco-caret {
        cursor: pointer;
        -webkit-user-select: none; /* Safari 3.1+ */
        -moz-user-select: none; /* Firefox 2+ */
        -ms-user-select: none; /* IE 10+ */
        user-select: none;
    }

        .create-suco-caret:before {
            content: "\25B6";
            color: black;
            display: inline-block;
            margin-right: 6px;
        }

    .caret-down-addsuco::before {
        -ms-transform: rotate(90deg); /* IE 9 */
        -webkit-transform: rotate(90deg); /* Safari */
        transform: rotate(90deg);
    }

    .create-suco-nested {
        display: block;
    }

    .active-addsuco {
        display: none;
    }
    /*.tr-create {
        display: table-row;
        vertical-align: inherit;
        border-color: white !important;
    }*/
    .tableborderless-addsuco tr td {
        border: none !important;
    }

    .div-create-suco-new {
        border: 1px solid black;
    }

    .btnDong {
        font-size: 33px;
        width: 20px;
        margin-right: 8px;
        color: red;
    }

    .label-addsuco {
        width: 30%;
    }

    .input-addsuco {
        width: 70%;
    }
    /*.div-create-suco-new{
        width:60%;
    }*/
    .row-item {
        width: 50%;
    }

    .phanloaisuco {
        border: 1px solid;
        margin-left: 20px;
        width: 85%;
    }
    /*mobile: width <740px*/
    @@media only screen and (max-width: 46.1875em) {
        .input-addsuco {
            width: 100%;
        }

        .label-addsuco {
            width: 100%;
        }

        .create-suco-nested {
            padding-left: 0px;
        }
    }
    /*tablet: width >=740px and width < 1024px*/
    @@media only screen and (min-width : 46.25em) and (max-width: 63.9375em) {
        .input-addsuco {
            width: 100%;
        }

        .label-addsuco {
            width: 50%;
        }

        .phanloaisuco {
            width: 87%;
        }
    }
</style>
@*<h4>Thông tin sự cố</h4>*@

<div class="create-nhatky-suco">
    @*<h4>Thông tin sự cố</h4>*@
    <ul id="myUL-addSuCo">

        @*Thêm mới Nhật Ký*@
        <li>
            <span class="create-suco-caret caret-down-addsuco" style="width:auto">Thông tin sự cố</span>

            <ul class="create-suco-nested">
                <li>
                    <button type="button" onclick="remove(this)" class="close btnDong" style="opacity: 1 !important" aria-label="Close" @*style="color: #db1c1cf2;"*@>
                        <span @*aria-hidden="true"*@ @*class="close"*@>&times;</span>
                    </button>
                    <div class="div-create-suco-new">
                        <table class="table tableborderless-addsuco">
                            <tr class="">
                                <td class="row-item">
                                    <div class="form-group">

                                        @Html.LabelFor(x => x.MoTaSuCo, htmlAttributes: new { @class = "control-label label-addsuco col-md-3" })
                                        <div class="input-addsuco col-md-9">
                                            @Html.EditorFor(x => x.MoTaSuCo, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td class="row-item">
                                    <div class="form-group">

                                        @Html.LabelFor(x => x.NguoiMoTa, htmlAttributes: new { @class = "control-label label-addsuco col-md-3" })
                                        <div class=" input-addsuco col-md-9">
                                            @Html.EditorFor(x => x.NguoiMoTa, new { htmlAttributes = new { @class = "form-control" } })
                                            @*@Html.DropDownListFor(x => x.NguoiMoTa, new SelectList(ViewBag.GetUser, "Name", "Name"), new { @class = "form-control" })*@

                                        </div>
                                    </div>
                                </td>

                            </tr>
                            <tr>
                                <td class="row-item">
                                    <div class="form-group">

                                        @Html.LabelFor(x => x.NgaySayRaSuCo, htmlAttributes: new { @class = "control-label label-addsuco col-md-3" })
                                        <div class="input-addsuco col-md-9">
                                                @Html.TextBoxFor(x => x.NgaySayRaSuCo, "{0:dd/MM/yyyy}", new { @class = "form-control", placeholder = "dd/mm/yyyy" })
                                        </div>
                                    </div>
                                </td>
                                <td class="row-item">
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.NguoiDeXuat, htmlAttributes: new { @class = "control-label label-addsuco col-md-3" })
                                        <div class="input-addsuco col-md-9">
                                            @Html.EditorFor(x => x.NguoiDeXuat, new { htmlAttributes = new { @class = "form-control" } })
                                            @*@Html.DropDownListFor(x => x.NguoiDeXuat, new SelectList(ViewBag.GetUser, "Name", "Name"), new { @class = "form-control" })*@

                                        </div>
                                    </div>
                                </td>
                            </tr>

                            <tr class="">
                                <td class="row-item">
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.QuaTrinhXuLy, htmlAttributes: new { @class = "control-label label-addsuco col-md-3" })
                                        <div class="input-addsuco col-md-9">
                                            @Html.EditorFor(x => x.QuaTrinhXuLy, new { htmlAttributes = new { @class = "form-control" } })
                                        </div>
                                    </div>
                                </td>
                                <td class="row-item">
                                    <div class="form-group">
                                        @Html.LabelFor(x => x.TrangThaiXuLy, htmlAttributes: new { @class = "control-label label-addsuco col-md-3" })
                                        <div class="input-addsuco col-md-9">
                                            @*@Html.EnumDropDownListFor()*@
                                            @Html.DropDownListFor(x => x.TrangThaiXuLy, new SelectList(ViewBag.EnumTrangThaiXuLy, "Name", "Name"), new { @class = "form-control" })

                                            @*@Html.EditorFor(x => x.TrangThaiXuLy, new { htmlAttributes = new { @class = "form-control" } })*@
                                        </div>
                                    </div>
                                </td>

                            </tr>

                            <tr class="">

                                <td class="row-item">
                                    <div class="form-group" style="width:auto !important">
                                        <fieldset class="phanloaisuco" @*style="border: 1px solid; margin-left:20px; width:81%;"*@>
                                            <legend style="width:auto;border-bottom:none; margin-bottom: 0px;"><b style="font-size:13px">Phân loại sự cố</b></legend>

                                            <table>
                                                <tr>
                                                    <td>
                                                        @Html.CheckBoxFor(x => x.ThoiGianVanHanh)
                                                        Thời gian vận hành
                                                        @*<label for="ThoiGianVanHanh"> @Html.CheckBoxFor(x => x.ThoiGianVanHanh, new { @class = "loaisuco", value = "false" })Thời gian vận hành</label>*@
                                                    </td>
                                                    <td>
                                                        @Html.CheckBoxFor(x => x.ChiSoHoaHoc)
                                                        Chỉ số hóa học
                                                        @*<label for="ChiSoHoaHoc">@Html.CheckBoxFor(x => x.ChiSoHoaHoc, new { @class = "loaisuco", value = "false" })Chỉ số hóa học</label>*@

                                                    </td>
                                                    <td>
                                                        @Html.CheckBoxFor(x => x.HuHongThietBi)
                                                        Hư hỏng thiết bị
                                                        @* <label for="HuHongThietBi">@Html.CheckBoxFor(x => x.HuHongThietBi, new { @class = "loaisuco", value = "false" })Hư hỏng thiết bị</label>*@

                                                    </td>
                                                </tr>

                                            </table>
                                        </fieldset>
                                    </div>

                                </td>
                                <td class="row-item">
                                    <div class="form-group">

                                        @Html.LabelFor(x => x.CachKhacPhuc, htmlAttributes: new { @class = "control-label label-addsuco col-md-3" })
                                        <div class="input-addsuco col-md-9">
                                            @Html.TextAreaFor(x => x.CachKhacPhuc, new { @class = "form-control" })
                                        </div>
                                    </div>
                                </td>
                            </tr>

                        </table>
                    </div>

                </li>

            </ul>
        </li>



    </ul>

</div>
<link href="~/Content/bootstrap-datepicker3.min.css" rel="stylesheet" type="text/css" />
<script src="~/Scripts/bootstrap-datepicker.min.js"></script>
<script>
    //$(function () {
    //    debugger;
    //    //$("#NguoiDeXuat").chosen();
    //    //$("#NguoiMoTa").chosen();
    //    $('#datepicker').datepicker({
    //        format: 'dd/mm/yyyy',
    //        locale: 'vi',
    //        language: "vi",
    //        todayBtn: "linked",
    //        todayHighlight: true,
    //        autoclose: true
    //    });
    //});
    

    var toggler = document.getElementsByClassName("create-suco-caret");
    var i;

    for (i = 0; i < toggler.length; i++) {
        toggler[i].addEventListener("click", function () {
            this.parentElement.querySelector(".create-suco-nested").classList.toggle("active-addsuco");
            this.classList.toggle("caret-down-addsuco");
        });
    }
    function remove(el) {
        debugger;
        var element = el;
        var div = el.closest('div')
        div.remove();
        //element.find("< div");
    }

    !function (a) {
        a.fn.datepicker.dates.vi = {
            days: ["Chủ nhật", "Thứ hai", "Thứ ba", "Thứ tư", "Thứ năm", "Thứ sáu", "Thứ bảy"],
            daysShort: ["CN", "Thứ 2", "Thứ 3", "Thứ 4", "Thứ 5", "Thứ 6", "Thứ 7"],
            daysMin: ["CN", "T2", "T3", "T4", "T5", "T6", "T7"],
            months: ["Tháng 1", "Tháng 2", "Tháng 3", "Tháng 4", "Tháng 5", "Tháng 6", "Tháng 7", "Tháng 8", "Tháng 9", "Tháng 10", "Tháng 11", "Tháng 12"],
            monthsShort: ["Th1", "Th2", "Th3", "Th4", "Th5", "Th6", "Th7", "Th8", "Th9", "Th10", "Th11", "Th12"],
            today: "Hôm nay",
            clear: "Xóa",
            format: "dd/mm/yyyy"
        }
    }(jQuery);
        $('#NgaySayRaSuCo').datepicker({
        format: 'dd/mm/yyyy',
        locale: 'vi',
        language: "vi",
        todaybtn: "linked",
        todayhighlight: true,
        autoclose: true
    });
    
</script>